Atlas expression builder for the name of output files
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18909

Description

In the Atlas tab, the expression builder used to create the name for the output files, doesn't work until you check and uncheck "Single file

export when possible".

How to reproduce:

    1. Open a vector file

    2. Create a new Print Composer and enable the Atlas Generation

    3. Choose the vector file as coverage layer

    4. The Expression Builder icon right to the "Output Filename Expression" is disabled

    5. Check and uncheck "Single file export when possible" to enable the icon

Associated revisions

Revision bfb5aaf5 - 2014-06-11 12:21 PM - Nyall Dawson

[composer] Correctly set initial state of atlas filename expression button (fix #10499)

History

#1 - 2014-06-08 09:05 AM - Luca Casagrande

- Affected QGIS version changed from 2.2.0 to master

#2 - 2014-06-08 09:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

it worked on 2.2?

#3 - 2014-06-08 10:35 AM - Luca Casagrande

Just tested and it's working on 2.2

#4 - 2014-06-08 10:54 AM - Giovanni Manghi

- Assignee set to Nyall Dawson

Nyall can you have a look at it? If not just remove yourself, thanks.

#5 - 2014-06-11 03:23 AM - Nyall Dawson
- Status changed from Feedback to Closed

Fixed in changeset commit:"bfb5aaf5481e5ac9d0473caa4a5635fc43caa43c".
